<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.crm.activity.dao.mapper.AccountInfoMapper">

    <select id="findByLogin" resultType="com.crm.rely.backend.model.pojo.view.AccountInfoView">
        select equity,balance
        from account_view_${platform} account
        where account.login = #{login}
    </select>

    <select id="findAllByLoginIn" resultType="com.crm.rely.backend.model.pojo.view.AccountInfoView">
        select *
        from account_view_${platform} account
        where login in
        <foreach collection="logins" item="item" index="idx" separator="," open="(" close=")">
            #{item}
        </foreach>
    </select>

</mapper>